Name:           ocaml-sha
Version:        1.9
Release:        %mkrel 4
Summary:        SHA Cryptographic Hash Functions for OCaml
License:        LGPL v3.0
Group:          Development/OCaml
URL:            https://github.com/vincenthz/ocaml-sha
Source0:        https://github.com/vincenthz/ocaml-sha/archive/ocaml-sha-v%{version}.tar.gz 
# the command line utilities use argv.(0) (cf mlcmd_renamed)
Patch0:         ocaml-sha-1.7_sumrenamed.patch
BuildRequires:  ocaml-findlib

%description
SHA is a cryptographic hash function.
This provide an interface for OCaml program to use
SHA1, SHA256 and SHA512 functions.

SHA1 implements the second implementation that produce
a 160 bit digest from its input.
SHA256 implements newer version that produce 256 bits digest.
SHA512 produces 512 bits digest.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{name}-v%{version}
%autopatch -p1

%build
make       # the lib
make bins  # the progs
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/sha
ocamlfind install sha META ./*.{mli,cmi,cma,a,cmo,cmx,cmxa,so}
install -d -m 0755 %{buildroot}%{_bindir}
for p in sha*sum ; do mv $p ml$p ; done
# mlcmd_renamed: rename shaXsum to mlshaXsum (conflict with coreutils)
install -m 0755 mlsha*sum %{buildroot}%{_bindir}/
mv sha.test.ml sha_test.ml

%files
%doc README
%dir %{_libdir}/ocaml/sha
%{_libdir}/ocaml/sha/META
%{_libdir}/ocaml/sha/*.cma
%{_libdir}/ocaml/sha/*.cmi
%{_libdir}/ocaml/sha/*.cmo
%{_libdir}/ocaml/stublibs/*.so*
%{_bindir}/mlsha1sum
%{_bindir}/mlsha256sum
%{_bindir}/mlsha512sum

%files devel
%doc sha_test.ml
%doc html
%{_libdir}/ocaml/sha/*.a
%{_libdir}/ocaml/sha/*.cmxa
%{_libdir}/ocaml/sha/*.cmx
%{_libdir}/ocaml/sha/*.ml*


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.9-4.mga6
+ Revision: 964302
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-3.mga5
+ Revision: 746390
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-2.mga5
+ Revision: 683105
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.9-1.mga5
+ Revision: 673953
- update to 1.9

* Fri Oct 18 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 508533
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 361623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.8-1.mga3
+ Revision: 319805
- updated to last version 1.8

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.7-3.mga3
+ Revision: 301110
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.7-2.mga3
+ Revision: 300555
- new rpm group for ocaml
- new homepage url

* Sat Jan 07 2012 blue_prawn <blue_prawn> 1.7-1.mga2
+ Revision: 192880
- imported package ocaml-sha

